Get Usage Record
Get a specific usage record by ID
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
idstring
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/usage/records/{id}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"usageRecord": {
"id": "string",
"quantity": "string",
"timestamp": "2019-08-24T14:15:22Z",
"billingPeriodStart": "2019-08-24T14:15:22Z",
"billingPeriodEnd": "2019-08-24T14:15:22Z",
"eventId": "string",
"properties": {},
"usageRecordStatus": "USAGE_RECORD_STATUS_UNSPECIFIED",
"errorMessage": "string",
"processedAt": "2019-08-24T14:15:22Z",
"externalId": "string",
"subscriptionId": "string",
"metricId": "string",
"invoiceId": "string",
"invoiceLineId": "string",
"subscriptionName": "string",
"metricName": "string",
"metricCode": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
}